package com.steerinfo.meterwork.meterworkstockonline.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import java.util.List;

@ApiModel(value="计量点在线信息表")
public class MeterWorkStockOnline implements IBasePO<String> {
    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点类型编号(SPOT_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点类型编号",required=false)
    private String spotTypeNo;

    /**
     * 重量变化标识(0无变化，1有变化)(WEIGHT_FLAG,VARCHAR,10)
     */
    @ApiModelProperty(value="重量变化标识(0无变化，1有变化)",required=false)
    private String weightFlag;

    /**
     * 是否接管 0标识还没接管，1已接管(WORK_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否接管 0标识还没接管，1已接管",required=false)
    private String workFlag;

    /**
     * 用户IP(USER_IP,VARCHAR,50)
     */
    @ApiModelProperty(value="用户IP",required=false)
    private String userIp;

    /**
     * 用户id(USER_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="用户id",required=false)
    private String userId;

    /**
     * 最后在线时间(LAST_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="最后在线时间",required=false)
    private Date lastTime;

    /**
     * 重量变化最早时间(WEIGHT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="重量变化最早时间",required=false)
    private Date weightTime;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 与采集对应点(POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="与采集对应点",required=false)
    private String pointNo;

    /**
     * 状态 0无效 1有效(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态 0无效 1有效",required=false)
    private String validFlag;

    @ApiModelProperty(value="重量偏差值",required=false)
    private String weightDiff;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.baseSpotNo;
    }

    @Override
    public void setId(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getSpotTypeNo() {
        return spotTypeNo;
    }

    public void setSpotTypeNo(String spotTypeNo) {
        this.spotTypeNo = spotTypeNo == null ? null : spotTypeNo.trim();
    }

    public String getWeightFlag() {
        return weightFlag;
    }

    public void setWeightFlag(String weightFlag) {
        this.weightFlag = weightFlag == null ? null : weightFlag.trim();
    }

    public String getWorkFlag() {
        return workFlag;
    }

    public void setWorkFlag(String workFlag) {
        this.workFlag = workFlag == null ? null : workFlag.trim();
    }

    public String getUserIp() {
        return userIp;
    }

    public void setUserIp(String userIp) {
        this.userIp = userIp == null ? null : userIp.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getLastTime() {
        return lastTime;
    }

    public void setLastTime(Date lastTime) {
        this.lastTime = lastTime;
    }

    public Date getWeightTime() {
        return weightTime;
    }

    public void setWeightTime(Date weightTime) {
        this.weightTime = weightTime;
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getPointNo() {
        return pointNo;
    }

    public void setPointNo(String pointNo) {
        this.pointNo = pointNo == null ? null : pointNo.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getWeightDiff() {
        return weightDiff;
    }

    public void setWeightDiff(String weightDiff) {
        this.weightDiff = weightDiff == null ? null : weightDiff.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", spotTypeNo=").append(spotTypeNo);
        sb.append(", weightFlag=").append(weightFlag);
        sb.append(", workFlag=").append(workFlag);
        sb.append(", userIp=").append(userIp);
        sb.append(", userId=").append(userId);
        sb.append(", lastTime=").append(lastTime);
        sb.append(", weightTime=").append(weightTime);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", pointNo=").append(pointNo);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", weightDiff=").append(weightDiff);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}